DetachL3NetworkFromVm
DetachL3NetworkFromVm
DELETE
/zstack/v1/vm-instances/nics/{vmNicUuid}Operation ID
DetachL3NetworkFromVmSince
0.6Execution Mode
SynchronousAuth Context
Auth RequiredAuth Context
Send these values as request headers when calling this API.
AuthorizationstringRequiredBearer Token
X-Tenant-IDstringX-Tenant-ID
Request Inputs
application/jsonPath Parameters
vmNicUuidStringRequiredThe VM NIC UUID. The network where the NIC is located will be detached from the VM instance.
Body Fields
systemTagsListOptional. The system tags.
userTagsListOptional. The user tags.
Responses
200 OKDELETE endpoints return an empty object on success, or a standard error structure on failure.
Success Response
{}Error Response
{
"error": {
"code": "SYS.1001",
"description": "A message or a operation timeout",
"details": "Delete resource timeout after 300s"
}
}